Subject: Re: bug#14541: 24.3.50; `ediff-buffers' does not play well with recent Cygwin version

From: Achim Gratz <[email-masked]>
Date: Mon, 03 Jun 2013 18:50:59 +0200

Drew Adams writes:
> I read the postings at both of those URLs, but I do not see anywhere where
> they say what you say about reliability.  What is a concrete example of a
> problem introduced by Emacs setting this env var?

It is not your business (or anyone else's but the user) to set that
environment variable.  Despite the appearance, setting things there is a
lot more akin to giving an option on the kernel boot line.  It only
takes effect when the cygwin1.dll is first loaded and can't be changed
later as long as at least once Cygwin process is runnning.

> FWIW, I have added (setenv "CYGWIN" "nodosfilewarning") to setup-cygwin.el.
> That seems to take care of the problem without, AFAICT, creating other
> problems.  But if you know of problems that it introduces, please let me know.

Don't.  You might override other settings that the user wants to take
effect or at best produce a confusing no-op.  You'd be much better off
if you would use cygpath to convert to POSIX instead.

Regards,
Achim.
-- 
+<[Q+ Matrix-12 WAVE#46+305 Neuron microQkb Andromeda XTk Blofeld]>+

SD adaptations for KORG EX-800 and Poly-800MkII V0.9:
http://Synth.Stromeko.net/Downloads.html#KorgSDada